APPNAME = luacmd

SRC = luacmd.c

LIB = luacmdlib lua m dl 
INCLUDES = $(LUAINC) ../inc $(IUPINC)
LDIR = $(LUALIB) ../lib/$(TEC_UNAME) 
USE_IUP = yes
# USE_IUP_BETA = yes
# USE_MOTIF = yes
#iup iupmot Xm Xt Xmu X11
#/home/c2/leo/prj/iup/lib/$(TEC_UNAME) /usr/X11R6/lib

ifeq "$(DO_DEBUG)" "1"
  FLAGS   = -g
  DEFINES = DEBUG
else
  FLAGS   = -O2
  DEFINES = NDEBUG
endif

ifeq "$(TEC_UNAME)" "AIX4"
  LIB = luacmdlib lua m
endif

ifeq "$(TEC_SYSNAME)" "Win32"
  SRC = luacmd.c
  EXTRALFLAGS = /LIBPATH:w:\\lua\\lib\\dll /LIBPATH:w:\\iup\\lib\\dll /LIBPATH:..\\lib\\dll /LIBPATH:x:\\lng\\msdev5\\vc\\lib 
  APPTYPE = windows
  INCLUDES = ..\\inc w:\\lua\\inc w:\\iup\\inc
#  LDIR = ..\\lib\\dll w:\\lua\\lib\\dll w:\\iup\\lib\\dll
  LIBS = iup.lib iupstub.lib luacmdlib.lib lua.lib
endif
