LIBNAME = luacmdlib
PROJNAME = luacmd

DEF_FILE = luacmdlib.def

INCLUDES = $(LUAINC) $(IUPINC)

ifeq "$(TEC_SYSNAME)" "Win32"
  INCLUDES = ..\\src w:\\lua\\inc w:\\iup\\inc 
  LDIR = w:\\lua\\lib\dll w:\\iup\\lib\dll
  LIBS = lua.lib iup.lib
endif

SRC = button_images.c lconsole.c utl_dlist.c utl_load_lib.c lnotepad.c ldebug.c utl_sys.c utl_str.c utl_file.c
INC = utl.h utl_dlist.h lconsole.h lnotepad.h utl_load_lib.h utl_iup.h ldebug.h
EXPINC = $(INC)

ifeq "$(DO_DEBUG)" "1"
  FLAGS   = -g
  DEFINES = DEBUG 
else
  FLAGS   = -O2
  DEFINES = NDEBUG 
endif

# secao condicional ao AIX4. Temporariamente, nao estamos gerando libs din.
ifeq "$(TEC_UNAME)" "AIX4"
  NO_DYNAMIC = TRUE
  SRC := $(SRC) dlfcn.c
  INC := $(INC) dlfcn.h
  INCLUDES := $(INCLUDES) -I.
  DEFINES := $(DEFINES) HAVE_STRDUP
endif

ifeq "$(TEC_UNAME)" "AIX"
  NO_DYNAMIC = TRUE
  SRC := $(SRC) dlfcn.c
  INC := $(INC) dlfcn.h
  INCLUDES := $(INCLUDES) -I.
  DEFINES := $(DEFINES) HAVE_STRDUP
endif
