/*
 * Lua Commander - Double Linked List Functions (unfinished).
 *
 * Copyright (C) 1999-2000, Antonio E. Scuri, Tecgraf/PUC-Rio.
 */


#include <stdlib.h>

#include "utl_dlist.h"


utlDList* utlCreateDList(void)
{
  utlDList *list = (utlDList*)malloc(sizeof(utlDList));

  list->top = NULL;
  list->bottom = NULL;
  list->total = 0;

  return list;
}

void utlKillDList(utlDList *list, void (*free_value)(void *value))
{
  utlDListNode *node = list->top;

  while (node != NULL)
  {
    utlDListNode *next = node->next;
    free_value(node->value);
    free(node);
    node = next;
  }

  free(list);
}


void utlDListInsertBottom(utlDList *list, void *value)
{
  utlDListNode *node = (utlDListNode*)malloc(sizeof(utlDListNode));
  utlDListNode *bottom = list->bottom;

  node->value = value;
  node->next = NULL;
  node->previous = bottom;
  list->bottom = node;

  if (list->top == NULL)
    list->top = node;
  else
    node->previous->next = node;

  list->total++;
}

